{{ define "content" }}
<h1>
	SOHVAPERUNA 2018
</h1>
<p>
	Hi, and welcome to the Sohvaperuna 2018 betting site!
</p>
<p>
	We apologize for being later than usual this year. Our cloud service provider shut us down, and we had to start building everything up from scratch. This is why our pages look a little pale this year, and it may take longer than before to get to the stage where you can check out and compare the bets. (Mattias claims that the new pages are in fact technically superior - see "Greetings from the technology department" below.)
</p>
<p>
	But the main thing is that the betting works as before! 
	Here's how you can sign up: click "Sign up" (above on the right) and fill out the invitation code, your name, and your email address. 
	After that, choose a password for yourself. (Please take care of your password!) 
	<strong>After you have signed up, you can always log in with your emailaddress and your password. </strong>
	Then all you have to do is start betting!
</p>
<p>
	Couch potatoes of the world, unite!
</p>
<p>
	-Anssi
</p>

<h2 class="mt-5">
	Greetings from the technology department
</h2>
<p>
	Sorry about this late release. The reasons are many but the biggest is lack of time in combination with required renovation of this software.
</p>
<p>
	The introductory period at the database service provider ended, and another cloud service provider updated their techonology requirements. Which meant that our old unchanged scripts could not run there anymore - and our database was not available online.
</p>
<p>
	Left with the option of refactoring our existing scripts big time or building new from scratch. I decided to start over with new technology. Our 15 year old scripts that have served us very well are not worth investing more time in. Choosing to build with new technology also made it easier to find another service provider with a nice introductory period.
</p>
<p>
	In short, our priority is to enable the bare minimum, input bets and follow standing. 
	<br>More will follow.
</p>

<h3 class="mt-5">
	Brief technology history
</h3>
<ul>
	<li>
		2018
		<ul>
			<li>The program rewritten in <a href="https://golang.org/" target="_blank" title="golang">GO</a></li>
			<li>MySQL database still in use</li>
			<li>Served from <a href="https://cloud.google.com/" target="_blank" title="Google Cloud">Google Cloud</a> with App Engine and Cloud SQL</li>
			<li>More information <a href="https://gitlab.com/mattias.fellman/1-X-2" target="_blank">Gitlab repo</a>, lend a hand?</li>
		</ul>
	</li>
	<li>
		2016
		<ul>
			<li>PHP scripts final very patched version</li>
			<li>MySQL database on ClearDB</li>
			<li>Application served with Azure</li>
			<li>Service provider platform updated and the scripts required &quot;patching&quot;</li>
		</ul>
	</li>
	<li>	
		2014
		<ul>
			<li>PHP script still running strong</li>
			<li>MySQL database at <a href="http://w2.cleardb.net/" target="_blank" title="ClearDB">ClearDB</a></li>
			<li>Application served with <a href="https://azure.microsoft.com/en-us/overview/what-is-azure/" target="_blank" title="Azure">Azure</a></li>
			<li>Moved to the cloud when the old webhotel service was not available for us anymore</li>
		</ul>
	</li>
	<li>
		2012	
		<ul>
			<li>PHP scripts and MySQL datase still</li>
			<li>Traditional webhotel with the LAMP -stack</li>
			<li><a href="https://jquery.org/" target="_blank" title="jQuery">jQuery</a> taken into use, early bird</li>
		</ul>
	</li>
	<li>
		2006 - 2010	
		<ul>
			<li><a href="http://www.php.net/" target="_blank" title="PHP">PHP</a> script and <a href="https://www.mysql.com/" target="_blank" title="MySQL">MySQL</a> database</a></li>
			<li>Webhotel with <a href="https://sv.wikipedia.org/wiki/LAMP" target="_blank" title="LAMP">LAMP -stack</a>:lla</li>
			<li>Our first dynamic page with fast near-real time updating</li>
		</ul>
	</li>
	<li>
		2004
		<ul>
			<li>Excel</li>
			<li>Åbo Akademi -server</li>
			<li>First time that information was available online, served with static pages</li>
		</ul>
	</li>
	<li>
		2002 and before
		<ul>
			<li>With paper <i class="far fa-smile"></i></li>
		</ul>
	</li>
</ul>

{{ end }}
